<template>
  <v-app >
    <v-snackbar
      v-model="snackbar.show"
      multi-line
    >
      <template>
        <span v-html="snackbar.message"/>
      </template>
      <template v-slot:action="{ attrs }">
        <v-btn
          color="red"
          icon
          v-bind="attrs"
          @click="snackHide"
        >
          <v-icon>mdi-close</v-icon>
        </v-btn>
      </template>
    </v-snackbar>
    <v-app-bar
      color="green darken-3"
      style="max-height: 48px;"
      app
      dense
      dark
    >
      <v-img
        @click="goToHome"
        alt="UFGD Logo"
        class="shrink mr-2"
        contain
        src="https://files.ufgd.edu.br/arquivos/arquivos/78/ASSESSORIA-COMUNICACAO/Logotipos/logo-vertical-negativo.png"
        transition="scale-transition"
        width="75"
      />
      <div class="d-flex align-center ml-3">
        <h3 @click="goToHome"> Visualizador de APIs da UFGD </h3>
      </div>

      <v-spacer></v-spacer>

      <div>
        <v-icon>mdi-label-variant-outline</v-icon>
        <span>Versão Beta</span>
        <v-icon>mdi-test-tube</v-icon>
      </div>
    </v-app-bar>

    <v-main >
      <transition  
        name="fade"
        mode="out-in"
      >
        <router-view/>
      </transition>
    </v-main>
  </v-app>
</template>
<script>
import {mapActions, mapState} from "vuex";
export default {
  name: 'App',
  computed:{
    ...mapState(["snackbar", "THEME"]),
  },
  methods: {
    ...mapActions(["hideSnack"]),
    snackHide(){
      this.hideSnack()
    },
    goToHome(){
      if(this.$route.name !== 'Home') 
        this.$router.push({ name:'Home'})
    }
  },
}
</script>
<style>
.fade-enter-active,
.fade-leave-active {
  transition-duration: 0.3s;
  transition-property: opacity;
  transition-timing-function: ease;
}

.fade-enter,
.fade-leave-active {
  opacity: 0
}
</style>